Organization
    Cookie Security Configuration
    Organization - Declarative APIs
      Get all AI agent configurations layoutgetSet all AI agent configurationsputGet all custom geo collections layoutgetSet all custom geo collectionsputGet organization layoutgetSet organization layoutput
    Organization - Entity APIs
    Options
    CSP Directives
    JWKS
    Notification Channels
    Identity Providers
    Metadata Synchronization
    Localization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
Reports
Publisher Documents
Reporting
Export & Automations
AI Lake
AI Assistant
Agents
Other
Schemas
powered by Zudoku
OpenAPI definition

Organization - Declarative APIs

Endpoint:/

Get all AI agent configurations layout

GET
/api/v1/layout/agents

Gets complete layout of AI agent configurations.

Get all AI agent configurations layout › Responses

Retrieved layout of all AI agent configurations.

  • agentsobject[] · required
GET /api/v1/layout/agents

Set all AI agent configurations

PUT
/api/v1/layout/agents

Sets AI agent configurations in organization.

Set all AI agent configurations › Request Body

  • agentsobject[] · required

Set all AI agent configurations › Responses

All AI agent configurations set.

No data returned
PUT /api/v1/layout/agents

Get all custom geo collections layout

GET
/api/v1/layout/customGeoCollections

Gets complete layout of custom geo collections.

Get all custom geo collections layout › Responses

Retrieved layout of all custom geo collections.

  • customGeoCollectionsobject[] · required
GET /api/v1/layout/customGeoCollections

Set all custom geo collections

PUT
/api/v1/layout/customGeoCollections

Sets custom geo collections in organization.

Set all custom geo collections › Request Body

  • customGeoCollectionsobject[] · required

Set all custom geo collections › Responses

All custom geo collections set.

No data returned
PUT /api/v1/layout/customGeoCollections

Get organization layout

GET
/api/v1/layout/organization

Retrieve complete layout of organization, workspaces, user-groups, etc.

Get organization layout › query Parameters

  • excludestring[]
    Enum values:
    ACTIVITY_INFO

Get organization layout › Responses

Retrieved all parts of an organization.

  • organizationobject · required

    Information available about an organization.

  • agentsobject[]
  • customGeoCollectionsobject[]
  • dataSourcesobject[]
  • exportTemplatesobject[]
  • identityProvidersobject[]
  • ipAllowlistPoliciesobject[]
  • jwksobject[]
  • notificationChannelsobject[]
  • userGroupsobject[]
  • usersobject[]
  • workspaceDataFiltersobject[]
  • workspacesobject[]
GET /api/v1/layout/organization

Set organization layout

PUT
/api/v1/layout/organization

Sets complete layout of organization, like workspaces, user-groups, etc.

Set organization layout › Request Body

  • organizationobject · required

    Information available about an organization.

  • agentsobject[]
  • customGeoCollectionsobject[]
  • dataSourcesobject[]
  • exportTemplatesobject[]
  • identityProvidersobject[]
  • ipAllowlistPoliciesobject[]
  • jwksobject[]
  • notificationChannelsobject[]
  • userGroupsobject[]
  • usersobject[]
  • workspaceDataFiltersobject[]
  • workspacesobject[]

Set organization layout › Responses

Defined all parts of an organization.

No data returned
PUT /api/v1/layout/organization

Cookie Security ConfigurationOrganization - Entity APIs